Index: src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 2663)
@@ -45,6 +45,7 @@
 import java.util.Stack;
 import java.util.Vector;
 
+import org.apache.log4j.Logger;
 import org.xml.sax.Attributes;
 import org.xml.sax.SAXException;
 
@@ -281,6 +282,8 @@
 
     private static final String DISTRIBUTION = "distribution";
 
+    private Logger logMetacat = Logger.getLogger(Eml200SAXHandler.class);   	   	
+    
     /**
      * Construct an instance of the handler class In this constructor, user can
      * specify the version need to upadate
@@ -345,8 +348,8 @@
         }
         catch (Exception e)
         {
-            MetaCatUtil.debugMessage("erorr in Eml200SAXHanlder is "
-                                     +e.getMessage(), 30);
+            logMetacat.error("erorr in Eml200SAXHanlder is "
+                                     +e.getMessage());
             throw new SAXException(e.getMessage());
         }
     }
@@ -560,9 +563,9 @@
         // for element <eml:eml...> qname is "eml:eml", local name is "eml"
         // for element <acl....> both qname and local name is "eml"
         // uri is namesapce
-        MetaCatUtil.debugMessage("Start ELEMENT(qName) " + qName, 10);
-        MetaCatUtil.debugMessage("Start ELEMENT(localName) " + localName, 10);
-        MetaCatUtil.debugMessage("Start ELEMENT(uri) " + uri, 10);
+        logMetacat.info("Start ELEMENT(qName) " + qName);
+        logMetacat.info("Start ELEMENT(localName) " + localName);
+        logMetacat.info("Start ELEMENT(uri) " + uri);
 
         DBSAXNode parentNode = null;
         DBSAXNode currentNode = null;
@@ -673,13 +676,13 @@
                     } else {
                         doctype = docname;
                     }
-                    MetaCatUtil.debugMessage("DOCNAME-a: " + docname, 30);
-                    MetaCatUtil.debugMessage("DOCTYPE-a: " + doctype, 30);
+                    logMetacat.info("DOCNAME-a: " + docname);
+                    logMetacat.info("DOCTYPE-a: " + doctype);
                 } else if (doctype == null) {
                     // because docname is not null and it is declared in dtd
                     // so could not be in schema, no namespace
                     doctype = docname;
-                    MetaCatUtil.debugMessage("DOCTYPE-b: " + doctype, 30);
+                    logMetacat.info("DOCTYPE-b: " + doctype);
                 }
                 rootNode.writeNodename(docname);
                 //System.out.println("here!!!!!!!!!!!!!!!!!!1");
@@ -833,7 +836,7 @@
                   // described element. If it has a descirbed element,
                   // this code would hurt any thing
                   processAdditionalAccess = true;
-                  MetaCatUtil.debugMessage("assing process addtional access true when meet access", 20);
+                  logMetacat.warn("accessing process addtional access true when meet access");
                 }
 
 
@@ -934,7 +937,7 @@
                         localName, prefix, MetaCatUtil.normalize(null));
               storedAccessNodeStack.push(nodeElement);
               processAdditionalAccess = true;
-              MetaCatUtil.debugMessage("set processAdditonalAccess ture when meet describe", 20);
+              logMetacat.warn("set processAdditonalAccess ture when meet describe");
             }
             else if (inAddtionalMetaData && processAdditionalAccess &&
                      parentNode.getTagName().equals(ADDITIONALMETADATA) &&
@@ -950,7 +953,7 @@
                // If additionalMetadata has access element, the flag will be
                // terminated in endElement
                processAdditionalAccess = false;
-               MetaCatUtil.debugMessage("set processAddtionAccess false if the there is no access in additional", 20);
+               logMetacat.warn("set processAddtionAccess false if the there is no access in additional");
             }
             else if (currentNode.getTagName().equals(DISTRIBUTION) &&
                      !inAddtionalMetaData)
@@ -1005,8 +1008,8 @@
             inlineDataNameSpace = null;
             inlineDataNameSpace = new Hashtable();
             //write inline data into file
-            MetaCatUtil.debugMessage("the inline element data is: "
-                    + inlineElements.toString(), 50);
+            logMetacat.info("the inline element data is: "
+                    + inlineElements.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, inlineElements);
         }//else
         //++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
@@ -1018,7 +1021,7 @@
     /** SAX Handler that is called for each XML text node */
     public void characters(char[] cbuf, int start, int len) throws SAXException
     {
-        MetaCatUtil.debugMessage("CHARACTERS", 50);
+        logMetacat.info("CHARACTERS");
         if (!handleInlineData) {
             // buffer all text nodes for same element. This is for text was
             // splited
@@ -1030,11 +1033,8 @@
             // so we can save memory
             if (textBuffer.length() >= MAXDATACHARS)
             {
-                MetaCatUtil
-                        .debugMessage(
-                                "Write text into DB in charaters"
-                                        + " when text buffer size is greater than maxmum number",
-                                50);
+                logMetacat.info("Write text into DB in charaters"
+                           + " when text buffer size is greater than maxmum number");
                 DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
                 endNodeId = writeTextForDBSAXNode(endNodeId, textBuffer,
                         currentNode);
@@ -1058,9 +1058,9 @@
             // we don't need to buffered it.
             StringBuffer inlineText = new StringBuffer();
             inlineText.append(new String(cbuf, start, len));
-            MetaCatUtil.debugMessage(
+            logMetacat.info(
                     "The inline text data write into file system: "
-                            + inlineText.toString(), 50);
+                            + inlineText.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, inlineText);
         }
     }
@@ -1069,7 +1069,7 @@
     public void endElement(String uri, String localName, String qName)
             throws SAXException
     {
-        MetaCatUtil.debugMessage("End ELEMENT " + qName, 50);
+        logMetacat.info("End ELEMENT " + qName);
 
         // when close inline element
         //++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
@@ -1079,7 +1079,7 @@
             // Get the node from the stack
             DBSAXNode currentNode = (DBSAXNode) nodeStack.pop();
             String currentTag = currentNode.getTagName();
-            MetaCatUtil.debugMessage("End of inline data", 35);
+            logMetacat.info("End of inline data");
             // close file writer
             try
             {
@@ -1109,9 +1109,9 @@
                   }
                   else
                   {
-                    MetaCatUtil.debugMessage(
+                    logMetacat.info(
                                "inline data was changed by a user"
-                                       + " who doesn't have permission", 30);
+                                       + " who doesn't have permission");
                     throw new SAXException(PERMISSIONERROR);
 
                   }
@@ -1121,9 +1121,9 @@
                   // user get the inline data
                   if (modifiedInlineData(distributionId, inlineDataFileName))
                   {
-                    MetaCatUtil.debugMessage(
+                    logMetacat.info(
                                 "inline data was changed by a user"
-                                        + " who doesn't have permission", 30);
+                                        + " who doesn't have permission");
                     throw new SAXException(PERMISSIONERROR);
                   }//if
                 }//else
@@ -1262,8 +1262,8 @@
                 }//else if
                 // write text to db if it is not inline data
 
-                MetaCatUtil.debugMessage(
-                            "Write text into DB in End Element", 50);
+                logMetacat.info(
+                            "Write text into DB in End Element");
 
                  // write text node into db
                  endNodeId = writeTextForDBSAXNode(endNodeId, textBuffer,
@@ -1411,8 +1411,8 @@
             endElement.append("</");
             endElement.append(qName);
             endElement.append(">");
-            MetaCatUtil.debugMessage("inline endElement: "
-                    + endElement.toString(), 50);
+            logMetacat.info("inline endElement: "
+                    + endElement.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, endElement);
         }
         //++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
@@ -1438,9 +1438,9 @@
        {
          return modified;
        }
-       MetaCatUtil.debugMessage("in handle inline data", 35);
-       MetaCatUtil.debugMessage("the inline data file name from xml_access is: "
-                                    + oldInlineInternalFileName, 40);
+       logMetacat.info("in handle inline data");
+       logMetacat.info("the inline data file name from xml_access is: "
+                                    + oldInlineInternalFileName);
 
        try
        {
@@ -1514,7 +1514,7 @@
      */
     public void comment(char[] ch, int start, int length) throws SAXException
     {
-        MetaCatUtil.debugMessage("COMMENT", 50);
+        logMetacat.info("COMMENT");
         if (!handleInlineData) {
             if (!processingDTD) {
                 DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
@@ -1547,8 +1547,8 @@
             inlineComment.append("<!--");
             inlineComment.append(new String(ch, start, length));
             inlineComment.append("-->");
-            MetaCatUtil.debugMessage("inline data comment: "
-                    + inlineComment.toString(), 50);
+            logMetacat.info("inline data comment: "
+                    + inlineComment.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, inlineComment);
         }
     }
@@ -1562,7 +1562,7 @@
     public void processingInstruction(String target, String data)
             throws SAXException
     {
-        MetaCatUtil.debugMessage("PI", 50);
+        logMetacat.info("PI");
         if (!handleInlineData) {
             DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
             endNodeId = currentNode.writeChildNodeToDB("PI", target, data,
@@ -1574,8 +1574,8 @@
             inlinePI.append(" ");
             inlinePI.append(data);
             inlinePI.append("?>");
-            MetaCatUtil.debugMessage("inline data pi is: "
-                    + inlinePI.toString(), 50);
+            logMetacat.info("inline data pi is: "
+                    + inlinePI.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, inlinePI);
         }
     }
@@ -1584,9 +1584,9 @@
     public void startPrefixMapping(String prefix, String uri)
             throws SAXException
     {
-        MetaCatUtil.debugMessage("NAMESPACE", 50);
-        MetaCatUtil.debugMessage("NAMESPACE prefix "+prefix, 50);
-        MetaCatUtil.debugMessage("NAMESPACE uri "+uri, 50);
+        logMetacat.info("NAMESPACE");
+        logMetacat.info("NAMESPACE prefix "+prefix);
+        logMetacat.info("NAMESPACE uri "+uri);
         if (!handleInlineData) {
             namespaces.put(prefix, uri);
         } else {
@@ -1604,7 +1604,7 @@
         // When validation is turned "on", white spaces are reported here
         // When validation is turned "off" white spaces are not reported here,
         // but through characters() callback
-        MetaCatUtil.debugMessage("IGNORABLEWHITESPACE", 50);
+        logMetacat.info("IGNORABLEWHITESPACE");
         if (!handleInlineData) {
             DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
             String data = null;
@@ -1663,7 +1663,7 @@
     /** SAX Handler that receives notification of end of the document */
     public void endDocument() throws SAXException
     {
-        MetaCatUtil.debugMessage("end Document", 50);
+        logMetacat.info("end Document");
         if (needCheckingAccessModule)
         {
           compareAllAccessModules();
@@ -1767,7 +1767,7 @@
   {
       // make sure stack1 and stack2 are not empty
       if (stack1.isEmpty() || stack2.isEmpty()) {
-          MetaCatUtil.debugMessage("Because stack is empty!", 35);
+          logMetacat.info("Because stack is empty!");
           throw new SAXException(UPDATEACCESSERROR);
       }
       // go throw two stacks and compare every element
@@ -1781,16 +1781,14 @@
               record2 = (NodeRecord) stack2.pop();
           } catch (EmptyStackException ee) {
 
-              MetaCatUtil.debugMessage(
-                      "Node stack2 is empty but stack1 isn't!", 35);
+              logMetacat.error(
+                      "Node stack2 is empty but stack1 isn't!");
               throw new SAXException(UPDATEACCESSERROR);
           }
           // if two records are not same throw a exception
           if (!record1.contentEquals(record2)) {
-              MetaCatUtil
-                      .debugMessage(
-                              "Two records from new and old stack are not "
-                                      + "same!" + record1 + "--" +record2, 30);
+              logMetacat.info("Two records from new and old stack are not "
+                                      + "same!" + record1 + "--" +record2);
               throw new SAXException(UPDATEACCESSERROR);
           }//if
       }//while
@@ -1798,9 +1796,9 @@
       // now stack1 is empty and we should make sure stack2 is empty too
       if (!stack2.isEmpty()) {
 
-          MetaCatUtil.debugMessage(
+          logMetacat.info(
                   "stack2 still have some elements while stack1 "
-                          + "is empty! ", 30);
+                          + "is empty! ");
           throw new SAXException(UPDATEACCESSERROR);
       }//if
   }//comparingNodeStacks
@@ -1836,8 +1834,8 @@
    {
      if (access == null)
      {
-       MetaCatUtil.debugMessage("access module is null in " +
-                                "resolveAccessRulesReference", 30);
+       logMetacat.info("access module is null in " +
+                                "resolveAccessRulesReference");
        throw new SAXException("An access modules is null");
      }
      String subTreeId = access.getSubTreeId();
@@ -1966,15 +1964,15 @@
        for (int j = 0; j < describeIdList.size(); j++)
        {
          String subreeid = (String)describeIdList.elementAt(j);
-         MetaCatUtil.debugMessage("describe id in additional access " +
-                                  subreeid, 30);
+         logMetacat.info("describe id in additional access " +
+                                  subreeid);
          // we need to figure out the real id if this subreeid is points to
          // a distribution reference.
          subreeid = resolveDistributionReference(subreeid);
          if (subreeid != null && !subreeid.trim().equals(""))
          {
-           MetaCatUtil.debugMessage("subtree id is "+ subreeid +
-                                    " after resolve reference id", 30 );
+           logMetacat.info("subtree id is "+ subreeid +
+                                    " after resolve reference id" );
            // if this id is for line data, we need to delete the records first
            // then add new records. The key for deleting is subtee id
            if (inlineDistributionIdList.containsKey(subreeid))
@@ -1982,8 +1980,8 @@
              String inlineFileName = (String)
                                         inlineDistributionIdList.get(subreeid);
              deleteSubtreeAccessRule(subreeid);
-             MetaCatUtil.debugMessage("Write inline data access into " +
-                                   "xml_access table for"+ inlineFileName, 30);
+             logMetacat.info("Write inline data access into " +
+                                   "xml_access table for"+ inlineFileName);
              writeGivenAccessRuleIntoDB(permOrder, accessRule,
                                         inlineFileName, subreeid);
            }
@@ -1997,15 +1995,15 @@
              // for online data, the subtree id we set is null.
              // So in xml_access, only the inline data subteeid is not null
              String dataFileName = handleOnlineUrlDataFile(url);
-             MetaCatUtil.debugMessage("The data fileName in online url " +
-                                      dataFileName, 30);
+             logMetacat.info("The data fileName in online url " +
+                                      dataFileName);
              if (dataFileName != null)
              {
                deletePermissionsInAccessTableForDoc(dataFileName);
                writeGivenAccessRuleIntoDB(permOrder, accessRule,
                                           dataFileName, null);
-               MetaCatUtil.debugMessage("Write online data access into " +
-                                   "xml_access table for " + dataFileName, 30);
+               logMetacat.info("Write online data access into " +
+                                   "xml_access table for " + dataFileName);
                // put the id into a hashtalbe. So when we run wirtetop level
                // access, those id will be ignored because they already has
                // additional access rules
@@ -2083,8 +2081,8 @@
           dataId.trim().equals("") || accessRules == null ||
           accessRules.isEmpty())
       {
-        MetaCatUtil.debugMessage("The access object is null and tried to " +
-                                  " write to xml_access table", 30);
+        logMetacat.info("The access object is null and tried to " +
+                                  " write to xml_access table");
         throw new SAXException("The access object is null");
       }
        // get rid of rev from dataId
@@ -2104,16 +2102,13 @@
            connection.increaseUsageCount(1);
            // Bind the values to the query
            pstmt.setString(1, dataId);
-           MetaCatUtil.debugMessage("Docid in accesstable: " + docid, 35);
+           logMetacat.info("Docid in accesstable: " + docid);
            pstmt.setString(6, docid);
-           MetaCatUtil.debugMessage("Accessfileid in accesstable: " + docid,
-                   35);
+           logMetacat.info("Accessfileid in accesstable: " + docid);
            pstmt.setString(5, permOrder);
-           MetaCatUtil.debugMessage("PermOder in accesstable: " + permOrder,
-                   35);
+           logMetacat.info("PermOder in accesstable: " + permOrder);
            pstmt.setString(7, subTreeId);
-           MetaCatUtil.debugMessage("subtree id in accesstable: " + subTreeId,
-                   35);
+           logMetacat.info("subtree id in accesstable: " + subTreeId);
            // if it is not top level, set s id
 
            //Vector accessRules = accessSection.getAccessRules();
@@ -2124,11 +2119,11 @@
                String permType = rule.getPermissionType();
                int permission = rule.getPermission();
                pstmt.setInt(3, permission);
-               MetaCatUtil.debugMessage("permission in accesstable: "
-                       + permission, 35);
+               logMetacat.info("permission in accesstable: "
+                       + permission);
                pstmt.setString(4, permType);
-               MetaCatUtil.debugMessage(
-                       "Permtype in accesstable: " + permType, 35);
+               logMetacat.info(
+                       "Permtype in accesstable: " + permType);
                // go through every principle in rule
                Vector nameVector = rule.getPrincipal();
                for (int j = 0; j < nameVector.size(); j++)
@@ -2135,8 +2130,8 @@
                {
                    String prName = (String) nameVector.elementAt(j);
                    pstmt.setString(2, prName);
-                   MetaCatUtil.debugMessage("Principal in accesstable: "
-                           + prName, 35);
+                   logMetacat.info("Principal in accesstable: "
+                           + prName);
                    pstmt.execute();
                }//for
            }//for
@@ -2257,8 +2252,8 @@
         if (accessSection == null)
         {
 
-          MetaCatUtil.debugMessage("Access object is null and tried to write "+
-                                   "into access subtree table", 30);
+          logMetacat.info("Access object is null and tried to write "+
+                                   "into access subtree table");
           throw new SAXException("The access object is null to write access " +
                                  "sbutree");
         }
@@ -2306,21 +2301,19 @@
 
             // Bind the values to the query
             pstmt.setString(1, docid);
-            MetaCatUtil.debugMessage("Docid in access-subtreetable: " + docid,
-                    35);
+            logMetacat.info("Docid in access-subtreetable: " + docid);
             pstmt.setInt(2, (new Integer(revision)).intValue());
-            MetaCatUtil.debugMessage("rev in accesssubtreetable: " + revision,
-                    35);
+            logMetacat.info("rev in accesssubtreetable: " + revision);
             pstmt.setString(3, level);
-            MetaCatUtil.debugMessage("contorl level in access-subtree table: "
-                    + level, 35);
+            logMetacat.info("contorl level in access-subtree table: "
+                    + level);
             pstmt.setString(4, sectionId);
-            MetaCatUtil.debugMessage("Subtree id in access-subtree table: "
-                    + sectionId, 35);
+            logMetacat.info("Subtree id in access-subtree table: "
+                    + sectionId);
             pstmt.setLong(5, startNodeId);
-            MetaCatUtil.debugMessage("Start node id is: " + startNodeId, 35);
+            logMetacat.info("Start node id is: " + startNodeId);
             pstmt.setLong(6, endNodeId);
-            MetaCatUtil.debugMessage("End node id is: " + endNodeId, 35);
+            logMetacat.info("End node id is: " + endNodeId);
             pstmt.execute();
             pstmt.close();
         }//try
@@ -2378,7 +2371,7 @@
          * File inlineDataDirectory = new File(path);
          */
         String newFile = path + "/" + fileName;
-        MetaCatUtil.debugMessage("inline file name: " + newFile, 30);
+        logMetacat.info("inline file name: " + newFile);
         try {
             // true means append
             writer = new FileWriter(newFile, true);
@@ -2447,8 +2440,7 @@
         } catch (Exception e) {
             throw new McdbException(e.getMessage());
         }
-        MetaCatUtil.debugMessage("the inline data retrieve from file: " + data,
-                50);
+        logMetacat.info("the inline data retrieve from file: " + data);
         return same;
     }
 
@@ -2473,9 +2465,9 @@
       throw new SAXException("Could not copy inline file from old one to new "+
                               "one because can't find old file name");
     }
-    MetaCatUtil.debugMessage("in handle inline data", 35);
-    MetaCatUtil.debugMessage("the inline data file name from xml_access is: "
-                                 + oldInlineInternalFileName, 40);
+    logMetacat.info("in handle inline data");
+    logMetacat.info("the inline data file name from xml_access is: "
+                                 + oldInlineInternalFileName);
 
     String path = MetaCatUtil.getOption("inlinedatafilepath");
     // the new file name will look like path/docid.rev.2
@@ -2659,7 +2651,7 @@
      */
     private String handleOnlineUrlDataFile(String url) throws SAXException
     {
-      MetaCatUtil.debugMessage("The url is "+ url, 10);
+      logMetacat.warn("The url is "+ url);
       String docid = null;
       // if the url is not a ecogrid protocol, null will be getten
       String accessionNumber =
@@ -2692,9 +2684,9 @@
         }//try
         catch(Exception e)
         {
-          MetaCatUtil.debugMessage("Eorr in " +
+          logMetacat.error("Error in " +
                                 "Eml200SAXHanlder.handleOnlineUrlDataFile is " +
-                                 e.getMessage(), 30);
+                                 e.getMessage());
           throw new SAXException(e.getMessage());
         }
       }
@@ -2710,20 +2702,18 @@
         try {
             elementNode = (NodeRecord) unchangableNodeStack.pop();
         } catch (EmptyStackException ee) {
-            MetaCatUtil
-                    .debugMessage("Node stack is empty for element data", 35);
+            logMetacat.error("Node stack is empty for element data");
             throw new SAXException(error);
         }
-        MetaCatUtil.debugMessage("current node type from xml is ELEMENT", 40);
-        MetaCatUtil.debugMessage("node type from stack: "
-                + elementNode.getNodeType(), 40);
-        MetaCatUtil.debugMessage("node name from xml document: " + localName,
-                40);
-        MetaCatUtil.debugMessage("node name from stack: "
-                + elementNode.getNodeName(), 40);
-        MetaCatUtil.debugMessage("node data from stack: "
-                + elementNode.getNodeData(), 40);
-        MetaCatUtil.debugMessage("node id is: " + elementNode.getNodeId(), 40);
+        logMetacat.info("current node type from xml is ELEMENT");
+        logMetacat.info("node type from stack: "
+                + elementNode.getNodeType());
+        logMetacat.info("node name from xml document: " + localName);
+        logMetacat.info("node name from stack: "
+                + elementNode.getNodeName());
+        logMetacat.info("node data from stack: "
+                + elementNode.getNodeData());
+        logMetacat.info("node id is: " + elementNode.getNodeId());
         // if this node is not element or local name not equal or name space
         // not
         // equals, throw an exception
@@ -2731,19 +2721,17 @@
                 || !localName.equals(elementNode.getNodeName()))
         //  (uri != null && !uri.equals(elementNode.getNodePrefix())))
         {
-            MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-            MetaCatUtil.debugMessage("current node type from xml is ELEMENT",
-                    40);
-            MetaCatUtil.debugMessage("node type from stack: "
-                    + elementNode.getNodeType(), 40);
-            MetaCatUtil.debugMessage("node name from xml document: "
-                    + localName, 40);
-            MetaCatUtil.debugMessage("node name from stack: "
-                    + elementNode.getNodeName(), 40);
-            MetaCatUtil.debugMessage("node data from stack: "
-                    + elementNode.getNodeData(), 40);
-            MetaCatUtil.debugMessage("node id is: " + elementNode.getNodeId(),
-                    40);
+            logMetacat.info("Inconsistence happend: ");
+            logMetacat.info("current node type from xml is ELEMENT");
+            logMetacat.info("node type from stack: "
+                    + elementNode.getNodeType());
+            logMetacat.info("node name from xml document: "
+                    + localName);
+            logMetacat.info("node name from stack: "
+                    + elementNode.getNodeName());
+            logMetacat.info("node data from stack: "
+                    + elementNode.getNodeData());
+            logMetacat.info("node id is: " + elementNode.getNodeId());
             throw new SAXException(error);
         }
 
@@ -2755,8 +2743,8 @@
             try {
                 nameNode = (NodeRecord) unchangableNodeStack.pop();
             } catch (EmptyStackException ee) {
-                MetaCatUtil.debugMessage(
-                        "Node stack is empty for namespace data", 35);
+                logMetacat.error(
+                        "Node stack is empty for namespace data");
                 throw new SAXException(error);
             }
 
@@ -2765,21 +2753,20 @@
             if (!nameNode.getNodeType().equals("NAMESPACE")
                     || !prefixName.equals(nameNode.getNodeName())
                     || !nameSpaceUri.equals(nameNode.getNodeData())) {
-                MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-                MetaCatUtil.debugMessage(
-                        "current node type from xml is NAMESPACE", 40);
-                MetaCatUtil.debugMessage("node type from stack: "
-                        + nameNode.getNodeType(), 40);
-                MetaCatUtil.debugMessage("current node name from xml is: "
-                        + prefixName, 40);
-                MetaCatUtil.debugMessage("node name from stack: "
-                        + nameNode.getNodeName(), 40);
-                MetaCatUtil.debugMessage("current node data from xml is: "
-                        + nameSpaceUri, 40);
-                MetaCatUtil.debugMessage("node data from stack: "
-                        + nameNode.getNodeData(), 40);
-                MetaCatUtil.debugMessage("node id is: " + nameNode.getNodeId(),
-                        40);
+                logMetacat.info("Inconsistence happend: ");
+                logMetacat.info(
+                        "current node type from xml is NAMESPACE");
+                logMetacat.info("node type from stack: "
+                        + nameNode.getNodeType());
+                logMetacat.info("current node name from xml is: "
+                        + prefixName);
+                logMetacat.info("node name from stack: "
+                        + nameNode.getNodeName());
+                logMetacat.info("current node data from xml is: "
+                        + nameSpaceUri);
+                logMetacat.info("node data from stack: "
+                        + nameNode.getNodeData());
+                logMetacat.info("node id is: " + nameNode.getNodeId());
                 throw new SAXException(error);
             }
 
